<?xml version="1.0" encoding="UTF-8"?>
<root>

<quest name="Helping Bernice Intro" type="event">
	<function name="requires">
		<cmd cmd="questdone">
			<param name="questname" value="The inauguration"></param>
		</cmd>
		
		<cmd cmd="fireevent">
			<param name="msg" value="ACT2_Q02_EVENT02_JESS"></param>
			<param name="pmsg" value="ACT2_Q02_EVENT02_JESS_PHONE"></param>
			<param name="gfx" value="phone_jessica"></param>
			<param name="add" value="1"></param>
		</cmd>
		
		<cmd cmd="showtutorial">
			<param name="name" value="Tutorial2"></param>
		</cmd>
	</function>
	
	<function name="begin">
		<cmd cmd="buildingsetstate">
			<param name="building" value="ch_cakestore"></param>
			<param name="people" value="1"></param>
			<param name="building" value="ch_church"></param>
			<param name="people" value="1"></param>
			<param name="building" value="ch_hindu"></param>
			<param name="people" value="1"></param>
			<param name="building" value="ch_kevin"></param>
			<param name="people" value="1"></param>
			<param name="building" value="ch_pub"></param>
			<param name="people" value="1"></param>
			<param name="building" value="ch_photo"></param>
			<param name="people" value="1"></param>
		</cmd>
		
		<cmd cmd="texticonquest">
			<param name="seticon" value="jessicaquestbar"></param>
			<param name="settext" value="ACT2_Q02_ICONTEXT01"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="jessica"></param>
			<param name="dialog" value="ACT2_Q02_ST01"></param>
			<param name="onok" value="step2"></param>
		</cmd>
		
		<cmd cmd="setbonuses">
			<param name="town" value="le"></param>
			<param name="bonuses" value="5"></param>
			<param name="set" value="1"></param>
		</cmd>
	</function>
	
	<function name="step2">
		<cmd cmd="buildingsetdialog">
			<param name="building" value="bernice_door"></param>
			<param name="cleardialogs" value="1"></param>
		</cmd>
		
		<cmd cmd="questcompleted"></cmd>
	</function>
</quest>	
	
<quest name="Helping Bernice" type="request">
	<function name="requires">
		<cmd cmd="questdone">
			<param name="questname" value="Helping Bernice Intro"></param>
		</cmd>
	</function>
	
	<function name="begin">
		<cmd cmd="texticonquest">
			<param name="clearall" value="1"></param>
			<param name="seticon" value="bernicequestbar"></param>
			<param name="settext" value="ACT2_Q02_ICONTEXT02"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="jessica"></param>
			<param name="cleardialogs" value="1"></param>
		</cmd>

		<cmd cmd="buildingsetdialog">
			<param name="building" value="bernice_door"></param>
			<param name="dialog" value="ACT2_Q02_ST02"></param>
			<param name="oncomplete" value="step2done"></param>
		</cmd>
	</function>
	
	<function name="step2done">
		<cmd cmd="texticonquest">
			<param name="clearall" value="1"></param>
			<param name="seticon" value="bernicequestbar"></param>
			<param name="settext" value="ACT2_Q02_ICONTEXT03"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="bernice_door"></param>
			<param name="cleardialogs" value="1"></param>
		</cmd>

		<cmd cmd="buildingsetdialog">
			<param name="building" value="workshop"></param>
			<param name="dialog" value="ACT2_Q02_ST03"></param>
			<param name="oncomplete" value="step3done"></param>
		</cmd>
	</function>
	
	<function name="step3done">
		<cmd cmd="texticonquest">
			<param name="clearall" value="1"></param>
			<param name="seticon" value="bernicequestbar"></param>
			<param name="settext" value="ACT2_Q02_ICONTEXT04"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="workshop"></param>
			<param name="cleardialogs" value="1"></param>
		</cmd>

		<cmd cmd="buildingsetdialog">
			<param name="building" value="bernice_door"></param>
			<param name="dialog" value="ACT2_Q02_ST04"></param>
			<param name="oncomplete" value="step4done"></param>
		</cmd>
	</function>
	
	<function name="step4done">
		<cmd cmd="buildingsetdialog">
			<param name="building" value="bernice_door"></param>
			<param name="cleardialogs" value="1"></param>
		</cmd>
		
		<cmd cmd="addreputation">
			<param name="value" value="10"></param>
		</cmd>
		
		<cmd cmd="questcompleted"></cmd>
	</function>
</quest>

<quest name="Saving Gianna" type="event">
	<function name="requires">
		<cmd cmd="questdone">
			<param name="questname" value="Helping Bernice Intro"></param>
		</cmd>
		
		<cmd cmd="fireevent">
			<param name="msg" value="ACT2_Q01_EVENT01_HORACE01"></param>
			<param name="pmsg" value="ACT2_Q01_EVENT01_HORACE01_PHONE"></param>
			<param name="gfx" value="phone_horace"></param>
			<param name="add" value="1"></param>
		</cmd>
	</function>

	<function name="begin">		
		<cmd cmd="texticonquest">
			<param name="building" value="horacehouse" />
			<param name="setarrow" value="horacecharglobe" />
			<param name="seticon" value="horacequestbar"></param>
			<param name="settext" value="ACT2_Q01_ICONTEXT01"></param>
		</cmd>
		<cmd cmd="mmbuildingsetstate">
			<param name="town" value="le"></param>
			<param name="building" value="horacehouse"></param>
			<param name="visible" value="true"></param>
		</cmd>
		<cmd cmd="buildingsetdialog">
			<param name="building" value="horacehouse"></param>
			<param name="dialog" value="ACT2_Q01_ST01"></param>
			<param name="onok" value="step1done"></param>
		</cmd>
		<cmd cmd="setbonuses">
			<param name="town" value="ch"></param>
			<param name="bonuses" value="5"></param>
			<param name="set" value="1"></param>
		</cmd>
	</function>
	
	<function name="step1done">
		<cmd cmd="buildingsetdialog">
			<param name="building" value="horacehouse"></param>
			<param name="cleardialogs" value="1"></param>
		</cmd>

		<cmd cmd="showtutorial">
			<param name="name" value="Tutorial5"></param>
		</cmd>
		
		<cmd cmd="texticonquest">
			<param name="building" value="ch_firststore_commercial" />
			<param name="setarrow" value="giannacharglobe" />
			<param name="clearall" value="1"></param>
			<param name="seticon" value="horacequestbar"></param>
			<param name="settext" value="ACT2_Q01_ICONTEXT02"></param>
		</cmd>
		
		<cmd cmd="mmbuildingsetstate">
			<param name="town" value="ch"></param>
			<param name="building" value="ch_firststore_commercial"></param>
			<param name="visible" value="true"></param>
		</cmd>
		
		<cmd cmd="settownvisible">
			<param name="town" value="ch"></param>
			<param name="visible" value="true"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="ch_firststore_commercial"></param>
			<param name="dialog" value="ACT2_Q01_ST02"></param>
			<param name="oncomplete" value="step2done"></param>
		</cmd>
	</function>

	<function name="step2done">
		<cmd cmd="texticonquest">
			<param name="building" value="ch_kevin" />
			<param name="setarrow" value="kevincharglobe" />
			<param name="clearall" value="1"></param>
			<param name="seticon" value="horacequestbar"></param>
			<param name="settext" value="ACT2_Q01_ICONTEXT04"></param>
		</cmd>
		
		<cmd cmd="mmbuildingsetstate">
			<param name="town" value="ch"></param>
			<param name="building" value="ch_kevin"></param>
			<param name="visible" value="true"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="ch_firststore_commercial"></param>
			<param name="cleardialogs" value="1"></param>
		</cmd>

		<cmd cmd="buildingsetdialog">
			<param name="building" value="ch_kevin"></param>
			<param name="dialog" value="ACT2_Q01_ST03"></param>
			<param name="oncomplete" value="step3done"></param>
		</cmd>
	</function>
	
	<function name="step3done">
		<cmd cmd="texticonquest">
			<param name="setarrow" value="" />
			<param name="clearall" value="1"></param>
			<param name="seticon" value="horacequestbar"></param>
			<param name="settext" value="ACT2_Q01_ICONTEXT05"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="ch_kevin"></param>
			<param name="cleardialogs" value="1"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="flowers"></param>
			<param name="dialog" value="ACT2_Q01_ST04"></param>
			<param name="oncomplete" value="step4done"></param>
		</cmd>
		
	</function>
	
	<function name="step4done">
		<cmd cmd="texticonquest">
			<param name="clearall" value="1"></param>
			<param name="seticon" value="horacequestbar"></param>
			<param name="settext" value="ACT2_Q01_ICONTEXT08"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="ch_firststore_commercial"></param>
			<param name="cleardialogs" value="1"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="ch_kevin"></param>
			<param name="dialog" value="ACT2_Q01_ST07"></param>
			<param name="oncomplete" value="step5done"></param>
		</cmd>
	</function>
	
	<function name="step5done">
		<cmd cmd="addreputation">
			<param name="value" value="10"></param>
		</cmd>
		
		<cmd cmd="questcompleted"></cmd>
	</function>
	
</quest>

<quest name="Helping Elizabeth" type="event">
	<function name="requires">
		<cmd cmd="questdone">
			<param name="questname" value="Saving Gianna"></param>
			<param name="questname" value="Helping Bernice"></param>
		</cmd>
		
		<cmd cmd="fireevent">
			<param name="msg" value="ACT2_Q025_ELI"></param>
			<param name="pmsg" value="ACT2_Q025_ELI_PHONE"></param>
			<param name="gfx" value="phone_elizabeth"></param>
			<param name="add" value="1"></param>
		</cmd>
	</function>
	
	<function name="begin">
		<cmd cmd="texticonquest">
			<param name="seticon" value="elizabethquestbar"></param>
			<param name="settext" value="ACT2_Q025_ICONTEXT01"></param>
		</cmd>
		
		<cmd cmd="setbonuses">
			<param name="town" value="le"></param>
			<param name="bonuses" value="3"></param>
			<param name="set" value="1"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="firststore_commercial"></param>
			<param name="dialog" value="ACT2_Q025_ST01"></param>
			<param name="onok" value="step2"></param>
		</cmd>
		
		<cmd cmd="buildingsetstate">
			<param name="building" value="firststore_commercial"></param>
			<param name="interactivity" value="1"></param>
		</cmd>
	</function>
	
	<function name="step2">
		<cmd cmd="buildingsetstate">
			<param name="building" value="firststore_commercial"></param>
			<param name="interactivity" value="2"></param>
		</cmd>
		<cmd cmd="questcompleted"></cmd>
	</function>
</quest>

<quest name="Paula Kisses" type="event">
	<function name="requires">
		<cmd cmd="questdone">
			<param name="questname" value="Helping Elizabeth"></param>
		</cmd>
		
		<cmd cmd="fireevent">
			<param name="msg" value="ACT2_Q03_KEVIN"></param>
			<param name="pmsg" value="ACT2_Q03_KEVIN_PHONE"></param>
			<param name="gfx" value="phone_kevin"></param>
			<param name="add" value="1"></param>
		</cmd>
	</function>
	
	<function name="begin">
		<cmd cmd="texticonquest">
			<param name="seticon" value="kevinquestbar"></param>
			<param name="settext" value="ACT2_Q03_ICONTEXT01"></param>
		</cmd>
		<cmd cmd="setbonuses">
			<param name="town" value="ch"></param>
			<param name="bonuses" value="5"></param>
			<param name="set" value="1"></param>
		</cmd>
		<cmd cmd="buildingsetdialog">
			<param name="building" value="ch_kevin"></param>
			<param name="dialog" value="ACT2_Q03_ST01"></param>
			<param name="onok" value="step2"></param>
		</cmd>
	</function>
	
	<function name="step2">
		<cmd cmd="texticonquest">
			<param name="building" value="ch_pub" />
			<param name="setarrow" value="paulacharglobe" />
			<param name="clearall" value="1"></param>
			<param name="seticon" value="kevinquestbar"></param>
			<param name="settext" value="ACT2_Q03_ICONTEXT02"></param>
		</cmd>
		
		<cmd cmd="mmbuildingsetstate">
			<param name="town" value="ch"></param>
			<param name="building" value="ch_pub"></param>
			<param name="visible" value="true"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="ch_kevin"></param>
			<param name="cleardialogs" value="1"></param>
		</cmd>

		<cmd cmd="buildingsetdialog">
			<param name="building" value="ch_pub"></param>
			<param name="dialog" value="ACT2_Q03_ST02"></param>
			<param name="oncomplete" value="step3"></param>
		</cmd>
	</function>
	
	<function name="step3">
		<cmd cmd="texticonquest">
			<param name="setarrow" value="" />
			<param name="clearall" value="1"></param>
			<param name="seticon" value="kevinquestbar"></param>
			<param name="settext" value="ACT2_Q03_ICONTEXT03"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="ch_pub"></param>
			<param name="cleardialogs" value="1"></param>
		</cmd>
		
		<cmd cmd="buildingsetstate">
			<param name="building" value="zoe_door"></param>
			<param name="interactivity" value="6"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="zoehome"></param>
			<param name="oncomplete" value="step4"></param>
		</cmd>
		
	</function>
	
	<function name="step4">
		<cmd cmd="texticonquest">
			<param name="clearall" value="1"></param>
			<param name="seticon" value="kevinquestbar"></param>
			<param name="settext" value="ACT2_Q03_ICONTEXT04"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="zoehome"></param>
			<param name="cleardialogs" value="1"></param>
		</cmd>
		
		<cmd cmd="settime">
			<param name="time" value="night"></param>
		</cmd>
		
		<cmd cmd="buildingsetstate">
			<param name="building" value="zoehome"></param>
			<param name="interactivity" value="3"></param>
			<param name="building" value="ch_firststore_commercial"></param>
			<param name="people" value="0"></param>
			<param name="building" value="firststore_commercial"></param>
			<param name="people" value="0"></param>
			<param name="building" value="ch_pub"></param>
			<param name="people" value="1"></param>
		</cmd>
		
		<cmd cmd="setzoecloth">
			<param name="cloth" value="ng_zoe_act2_base"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="zoe_door"></param>
			<param name="cleardialogs" value="1"></param>
		</cmd>

		<cmd cmd="buildingsetdialog">
			<param name="building" value="ch_pub"></param>
			<param name="dialog" value="ACT2_Q03_ST04"></param>
			<param name="oncomplete" value="step5"></param>
		</cmd>
		
	</function>
	
	<function name="step5">
		<cmd cmd="texticonquest">
			<param name="clearall" value="1"></param>
			<param name="seticon" value="kevinquestbar"></param>
			<param name="settext" value="ACT2_Q03_ICONTEXT05"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="ch_pub"></param>
			<param name="cleardialogs" value="1"></param>
		</cmd>

		<cmd cmd="buildingsetdialog">
			<param name="building" value="ch_kevin"></param>
			<param name="dialog" value="ACT2_Q03_ST05"></param>
			<param name="oncomplete" value="step6"></param>
		</cmd>
	</function>
	
	<function name="step6">
		<cmd cmd="texticonquest">
			<param name="clearall" value="1"></param>
			<param name="seticon" value="kevinquestbar"></param>
			<param name="settext" value="ACT2_Q03_ICONTEXT06"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="ch_kevin"></param>
			<param name="cleardialogs" value="1"></param>
		</cmd>
		
		<cmd cmd="buildingsetstate">
			<param name="building" value="zoe_door"></param>
			<param name="interactivity" value="6"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="zoehome"></param>
			<param name="oncomplete" value="step7"></param>
		</cmd>
	</function>
	
	<function name="step7">
		<cmd cmd="buildingsetstate">
			<param name="building" value="ch_firststore_commercial"></param>
			<param name="people" value="1"></param>
			<param name="building" value="firststore_commercial"></param>
			<param name="people" value="1"></param>
			<param name="building" value="ch_pub"></param>
			<param name="people" value="0"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="zoehome"></param>
			<param name="cleardialogs" value="1"></param>
		</cmd>
		
		<cmd cmd="buildingsetstate">
			<param name="building" value="zoehome"></param>
			<param name="interactivity" value="3"></param>
		</cmd>
		
		<cmd cmd="settime">
			<param name="time" value="day"></param>
		</cmd>
		
		<cmd cmd="setzoecloth">
			<param name="cloth" value="zoe_act2_base"></param>
		</cmd>
		
		<cmd cmd="showstory">
			<param name="story" value="act2_story00"></param>
		</cmd>
		
		<cmd cmd="firequest">
			<param name="quest" value="Paula Kisses Outcome"></param>
		</cmd>
		
		<cmd cmd="questcompleted"></cmd>
	</function>
</quest>

<quest name="Paula Kisses Outcome">
	<function name="requires">
		<cmd cmd="reputation">
			<param name="reputation" value="0"></param>
		</cmd>
	</function>
	
	<function name="begin">
		<cmd cmd="texticonquest">
			<param name="clearall" value="1"></param>
			<param name="seticon" value="kevinquestbar"></param>
			<param name="settext" value="ACT2_Q03_ICONTEXT07"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="zoe_door"></param>
			<param name="cleardialogs" value="1"></param>
		</cmd>

		<cmd cmd="buildingsetdialog">
			<param name="building" value="ch_kevin"></param>
			<param name="dialog" value="ACT2_Q03_ST07"></param>
			<param name="oncomplete" value="step8"></param>
		</cmd>
	</function>
	
	<function name="step8">
		<cmd cmd="texticonquest">
			<param name="clearall" value="1"></param>
		</cmd>
		
		<cmd cmd="addreputation">
			<param name="value" value="10"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="ch_kevin"></param>
			<param name="cleardialogs" value="1"></param>
		</cmd>
		
		<cmd cmd="questcompleted"></cmd>
	</function>
</quest>

<quest name="act2quest4" type="event">
	<function name="requires">
		<cmd cmd="questdone">
			<param name="questname" value="Paula Kisses"></param>
		</cmd>
		<cmd cmd="fireevent">
			<param name="msg" value="ACT2_Q04_GIANNA"></param>
			<param name="pmsg" value="ACT2_Q04_GIANNA_PHONE"></param>
			<param name="gfx" value="phone_gianna"></param>
			<param name="add" value="1"></param>
		</cmd>
	</function>
	
	<function name="begin">
		<cmd cmd="texticonquest">
			<param name="clearall" value="1"></param>
			<param name="seticon" value="giannaquestbar"></param>
			<param name="settext" value="ACT2_Q04_ICONTEXT01"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="ch_firststore_commercial"></param>
			<param name="dialog" value="ACT2_Q04_ST01"></param>
			<param name="oncomplete" value="step2"></param>
		</cmd>
	</function>
	
	<function name="step2">
		<cmd cmd="texticonquest">
			<param name="clearall" value="1"></param>
			<param name="seticon" value="zoequestbar"></param>
			<param name="settext" value="ACT2_Q04_ICONTEXT02"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="ch_firststore_commercial"></param>
			<param name="cleardialogs" value="1"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="horacehouse"></param>
			<param name="dialog" value="ACT2_Q04_ST02"></param>
			<param name="oncomplete" value="step3"></param>
		</cmd>
	</function>
	
	<function name="step3">
		<cmd cmd="texticonquest">
			<param name="clearall" value="1"></param>
			<param name="seticon" value="zoequestbar"></param>
			<param name="settext" value="ACT2_Q04_ICONTEXT03"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="horacehouse"></param>
			<param name="cleardialogs" value="1"></param>
		</cmd>
		
		<cmd cmd="showstory">
			<param name="story" value="act2_story01"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="petshop"></param>
			<param name="dialog" value="ACT2_Q04_ST03"></param>
			<param name="oncomplete" value="step4"></param>
		</cmd>
	</function>
	
	<function name="step4">
		<cmd cmd="texticonquest">
			<param name="clearall" value="1"></param>
			<param name="seticon" value="zoequestbar"></param>
			<param name="settext" value="ACT2_Q04_ICONTEXT04"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="petshop"></param>
			<param name="cleardialogs" value="1"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="ch_firststore_commercial"></param>
			<param name="dialog" value="ACT2_Q04_ST04"></param>
			<param name="oncomplete" value="step5"></param>
		</cmd>
	</function>
	
	<function name="step5">
		<cmd cmd="texticonquest">
			<param name="clearall" value="1"></param>
			<param name="seticon" value="zoequestbar"></param>
			<param name="settext" value="ACT2_Q04_ICONTEXT05"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="ch_firststore_commercial"></param>
			<param name="cleardialogs" value="1"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="horacehouse"></param>
			<param name="dialog" value="ACT2_Q04_ST05"></param>
			<param name="oncomplete" value="step7"></param>
		</cmd>
	</function>

	<function name="step7">
		<cmd cmd="texticonquest">
			<param name="clearall" value="1"></param>
			<param name="seticon" value="zoequestbar"></param>
			<param name="settext" value="ACT2_Q04_ICONTEXT06"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="horacehouse"></param>
			<param name="cleardialogs" value="1"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="ch_firststore_commercial"></param>
			<param name="dialog" value="ACT2_Q04_ST07"></param>
			<param name="oncomplete" value="step8"></param>
		</cmd>
	</function>
	
	<function name="step8">
		<cmd cmd="texticonquest">
			<param name="clearall" value="1"></param>
		</cmd>
		
		<cmd cmd="showstory">
			<param name="story" value="act2_story01b"></param>
		</cmd>
		
		<cmd cmd="addreputation">
			<param name="value" value="10"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="ch_firststore_commercial"></param>
			<param name="cleardialogs" value="1"></param>
		</cmd>
		
		<cmd cmd="questcompleted"></cmd>
	</function>
</quest>

<quest name="act2quest5" type="event">
	<function name="requires">
		<cmd cmd="questdone">
			<param name="questname" value="act2quest4"></param>
		</cmd>
		<cmd cmd="fireevent">
			<param name="msg" value="ACT2_Q05_KEVIN"></param>
			<param name="pmsg" value="ACT2_Q05_KEVIN_PHONE"></param>
			<param name="gfx" value="phone_kevin"></param>
			<param name="add" value="1"></param>
		</cmd>
	</function>
	
	<function name="begin">
		<cmd cmd="texticonquest">
			<param name="clearall" value="1"></param>
			<param name="seticon" value="kevinquestbar"></param>
			<param name="settext" value="ACT2_Q05_ICONTEXT01"></param>
		</cmd>
		<cmd cmd="setbonuses">
			<param name="town" value="ch"></param>
			<param name="bonuses" value="5"></param>
			<param name="set" value="1"></param>
		</cmd>
		<cmd cmd="buildingsetdialog">
			<param name="building" value="ch_kevin"></param>
			<param name="dialog" value="ACT2_Q05_ST01"></param>
			<param name="onok" value="step2"></param>
		</cmd>
	</function>
	
	<function name="step2">
		<cmd cmd="buildingsetdialog">
			<param name="building" value="ch_kevin"></param>
			<param name="cleardialogs" value="1"></param>
		</cmd>
		
		<cmd cmd="questcompleted"></cmd>
	</function>
</quest>
	
<quest name="act2quest5c" type="event">
	<function name="requires">
		<cmd cmd="questdone">
			<param name="questname" value="act2quest5"></param>
		</cmd>
		<cmd cmd="fireevent">
			<param name="msg" value="ACT2_Q05C_GIANNA"></param>
			<param name="pmsg" value="ACT2_Q05C_GIANNA_PHONE"></param>
			<param name="gfx" value="phone_gianna"></param>
			<param name="add" value="1"></param>
		</cmd>
	</function>
	
	<function name="begin">
		<cmd cmd="buildingsetstate">
			<param name="building" value="ch_firststore_commercial"></param>
			<param name="interactivity" value="2"></param>
		</cmd>
		<cmd cmd="buildingsetstate">
			<param name="building" value="ch_firststore_commercial"></param>
			<param name="state" value="normal"></param>
			<param name="newstate" value="open"></param>
		</cmd>
		<cmd cmd="questcompleted"></cmd>
	</function>
</quest>
	
<quest name="act2quest5b" type="request">
	<function name="requires">
		<cmd cmd="questdone">
			<param name="questname" value="act2quest5"></param>
		</cmd>
	</function>
	
	<function name="begin">
		<cmd cmd="texticonquest">
			<param name="building" value="ch_photo" />
			<param name="setarrow" value="paulacharglobe" />
			<param name="clearall" value="1"></param>
			<param name="seticon" value="kevinquestbar"></param>
			<param name="settext" value="ACT2_Q05_ICONTEXT02"></param>
		</cmd>
		
		<cmd cmd="mmbuildingsetstate">
			<param name="town" value="ch"></param>
			<param name="building" value="ch_photo"></param>
			<param name="visible" value="true"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="ch_photo"></param>
			<param name="dialog" value="ACT2_Q05_ST02"></param>
			<param name="onok" value="step3"></param>
		</cmd>
	</function>
	
	<function name="step3">
		<cmd cmd="texticonquest">
			<param name="setarrow" value="" />
			<param name="clearall" value="1"></param>
			<param name="seticon" value="kevinquestbar"></param>
			<param name="settext" value="ACT2_Q05_ICONTEXT03"></param>
			<param name="seticon" value="paulaquestbar"></param>
			<param name="settext" value="ACT2_Q05_ICONTEXT04"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="ch_photo"></param>
			<param name="cleardialogs" value="1"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="bernice_door"></param>
			<param name="dialog" value="ACT2_Q05_ST03"></param>
			<param name="onok" value="step4"></param>
		</cmd>
	</function>
	
	<function name="step4">
		<cmd cmd="texticonquest">
			<param name="clearall" value="1"></param>
			<param name="seticon" value="kevinquestbar"></param>
			<param name="settext" value="ACT2_Q05_ICONTEXT03"></param>
			<param name="seticon" value="paulaquestbar"></param>
			<param name="settext" value="ACT2_Q05_ICONTEXT05"></param>
		</cmd>
	
		<cmd cmd="buildingsetdialog">
			<param name="building" value="bernice_door"></param>
			<param name="cleardialogs" value="1"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="ch_photo"></param>
			<param name="dialog" value="ACT2_Q05_ST04"></param>
			<param name="onok" value="step5"></param>
		</cmd>
	</function>
	
	<function name="step5">
		<cmd cmd="texticonquest">
			<param name="clearall" value="1"></param>
		</cmd>
		<cmd cmd="buildingsetdialog">
			<param name="building" value="ch_photo"></param>
			<param name="cleardialogs" value="1"></param>
		</cmd>
		
		<cmd cmd="addreputation">
			<param name="value" value="10"></param>
		</cmd>
		
		<cmd cmd="questcompleted"></cmd>
	</function>
</quest>

<quest name="act2quest7" type="request">
	<function name="requires">
		<cmd cmd="questdone">
			<param name="questname" value="act2quest5b"></param>
		</cmd>
	</function>
	
	<function name="begin">
		<cmd cmd="texticonquest">
			<param name="clearall" value="1"></param>
			<param name="seticon" value="kevinquestbar"></param>
			<param name="settext" value="ACT2_Q05_ICONTEXT01"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="ch_kevin"></param>
			<param name="dialog" value="ACT2_Q07_ST01"></param>
			<param name="oncomplete" value="step2"></param>
		</cmd>
	</function>
	
	<function name="step2">
		<cmd cmd="texticonquest">
			<param name="building" value="ch_hindu" />
			<param name="setarrow" value="bhanuprakashcharglobe" />
			<param name="clearall" value="1"></param>
			<param name="seticon" value="kevinquestbar"></param>
			<param name="settext" value="ACT2_Q07_ICONTEXT02"></param>
		</cmd>
		
		<cmd cmd="setbonuses">
			<param name="town" value="ch"></param>
			<param name="bonuses" value="5"></param>
			<param name="set" value="1"></param>
		</cmd>
		
		<cmd cmd="mmbuildingsetstate">
			<param name="town" value="ch"></param>
			<param name="building" value="ch_hindu"></param>
			<param name="visible" value="true"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="ch_kevin"></param>
			<param name="cleardialogs" value="1"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="ch_hindu"></param>
			<param name="dialog" value="ACT2_Q07_ST02"></param>
			<param name="oncomplete" value="step3"></param>
		</cmd>
	</function>
	
	<function name="step3">
		<cmd cmd="texticonquest">
			<param name="clearall" value="1"></param>
			<param name="seticon" value="kevinquestbar"></param>
			<param name="settext" value="ACT2_Q07_ICONTEXT01"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="ch_hindu"></param>
			<param name="cleardialogs" value="1"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="ch_kevin"></param>
			<param name="dialog" value="ACT2_Q07_ST03"></param>
			<param name="oncomplete" value="step4"></param>
		</cmd>
	</function>
	
	<function name="step4">
		<cmd cmd="texticonquest">
			<param name="clearall" value="1"></param>
			<param name="seticon" value="zoequestbar"></param>
			<param name="settext" value="ACT2_Q07_ICONTEXT03"></param>
		</cmd>
		
		<cmd cmd="buildingsetstate">
			<param name="building" value="zoe_door"></param>
			<param name="interactivity" value="6"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="zoehome"></param>
			<param name="oncomplete" value="step5"></param>
		</cmd>
	</function>
	
	<function name="step5">
		<cmd cmd="texticonquest">
			<param name="clearall" value="1"></param>
			<param name="seticon" value="kevinquestbar"></param>
			<param name="settext" value="ACT2_Q07_ICONTEXT04"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="zoehome"></param>
			<param name="cleardialogs" value="1"></param>
			<param name="building" value="zoe_door"></param>
			<param name="cleardialogs" value="1"></param>
		</cmd>
		
		<cmd cmd="settime">
			<param name="time" value="night"></param>
		</cmd>
		
		<cmd cmd="buildingsetstate">
			<param name="building" value="zoehome"></param>
			<param name="interactivity" value="3"></param>
			<param name="building" value="tr_firststore_commercial"></param>
			<param name="people" value="0"></param>
			<param name="building" value="ch_firststore_commercial"></param>
			<param name="people" value="0"></param>
			<param name="building" value="firststore_commercial"></param>
			<param name="people" value="0"></param>
			<param name="building" value="ch_pub"></param>
			<param name="people" value="1"></param>
		</cmd>
		
		<cmd cmd="setzoecloth">
			<param name="cloth" value="ng_zoe_act2_base"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="ch_kevin"></param>
			<param name="dialog" value="ACT2_Q07_ST04"></param>
			<param name="onok" value="step6"></param>
		</cmd>
	</function>
	
	<function name="step6">
		<cmd cmd="texticonquest">
			<param name="clearall" value="1"></param>
		</cmd>
	
		<cmd cmd="buildingsetdialog">
			<param name="building" value="ch_kevin"></param>
			<param name="cleardialogs" value="1"></param>
		</cmd>
		
		<cmd cmd="addreputation">
			<param name="value" value="10"></param>
		</cmd>
		
		<cmd cmd="showstory">
			<param name="story" value="act2_story02"></param>
		</cmd>
		
		<cmd cmd="questcompleted"></cmd>
	</function>
</quest>

<quest name="act2quest6" type="event">
	<function name="requires">
		<cmd cmd="questdone">
			<param name="questname" value="act2quest7"></param>
		</cmd>
		<cmd cmd="fireevent">
			<param name="msg" value="ACT2_Q06_PAULA"></param>
			<param name="pmsg" value="ACT2_Q06_PAULA_PHONE"></param>
			<param name="gfx" value="phone_paula"></param>
			<param name="add" value="1"></param>
		</cmd>
	</function>
	
	<function name="begin">
		<cmd cmd="texticonquest">
			<param name="clearall" value="1"></param>
			<param name="seticon" value="paulaquestbar"></param>
			<param name="settext" value="ACT2_Q06_ICONTEXT02"></param>
		</cmd>
		
		<cmd cmd="setbonuses">
			<param name="town" value="le"></param>
			<param name="bonuses" value="5"></param>
			<param name="set" value="1"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="ch_pub"></param>
			<param name="dialog" value="ACT2_Q06_ST01"></param>
			<param name="onok" value="step2"></param>
		</cmd>
	</function>
	
	<function name="step2">
		<cmd cmd="texticonquest">
			<param name="clearall" value="1"></param>
			<param name="seticon" value="paulaquestbar"></param>
			<param name="settext" value="ACT2_Q06_ICONTEXT01"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="ch_pub"></param>
			<param name="cleardialogs" value="1"></param>
		</cmd>
		
		<cmd cmd="buildingsetstate">
			<param name="building" value="zoe_door"></param>
			<param name="interactivity" value="6"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="zoehome"></param>
			<param name="oncomplete" value="step3"></param>
		</cmd>
	</function>
	
	<function name="step3">
		<cmd cmd="texticonquest">
			<param name="clearall" value="1"></param>
			<param name="seticon" value="paulaquestbar"></param>
			<param name="settext" value="ACT2_Q06_ICONTEXT03"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="zoehome"></param>
			<param name="cleardialogs" value="1"></param>
			<param name="building" value="zoe_door"></param>
			<param name="cleardialogs" value="1"></param>
		</cmd>
		
		<cmd cmd="settime">
			<param name="time" value="day"></param>
		</cmd>
		
		<cmd cmd="buildingsetstate">
			<param name="building" value="zoehome"></param>
			<param name="interactivity" value="3"></param>
			<param name="building" value="tr_firststore_commercial"></param>
			<param name="people" value="1"></param>
			<param name="building" value="ch_firststore_commercial"></param>
			<param name="people" value="1"></param>
			<param name="building" value="firststore_commercial"></param>
			<param name="people" value="1"></param>
			<param name="building" value="ch_pub"></param>
			<param name="people" value="1"></param>
		</cmd>
		
		<cmd cmd="setzoecloth">
			<param name="cloth" value="zoe_act2_base"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="bernice_door"></param>
			<param name="dialog" value="ACT2_Q06_ST02"></param>
			<param name="onok" value="step4"></param>
		</cmd>
	</function>
	
	<function name="step4">
		<cmd cmd="texticonquest">
			<param name="clearall" value="1"></param>
			<param name="seticon" value="paulaquestbar"></param>
			<param name="settext" value="ACT2_Q06_ICONTEXT04"></param>
		</cmd>
	
		<cmd cmd="buildingsetdialog">
			<param name="building" value="bernice_door"></param>
			<param name="cleardialogs" value="1"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="ch_photo"></param>
			<param name="dialog" value="ACT2_Q06_ST03"></param>
			<param name="onok" value="step5"></param>
		</cmd>
	</function>
	
	<function name="step5">
		<cmd cmd="texticonquest">
			<param name="clearall" value="1"></param>
		</cmd>
	
		<cmd cmd="buildingsetdialog">
			<param name="building" value="ch_photo"></param>
			<param name="cleardialogs" value="1"></param>
		</cmd>
		
		<cmd cmd="addreputation">
			<param name="value" value="10"></param>
		</cmd>
		
		<cmd cmd="questcompleted"></cmd>
	</function>
</quest>	
	
<quest name="act2quest8" type="event">
	<function name="requires">
		<cmd cmd="questdone">
			<param name="questname" value="act2quest6"></param>
		</cmd>
		<cmd cmd="fireevent">
			<param name="msg" value="ACT2_Q08_KEVIN"></param>
			<param name="pmsg" value="ACT2_Q08_KEVIN_PHONE"></param>
			<param name="gfx" value="phone_kevin"></param>
			<param name="add" value="1"></param>
		</cmd>
	</function>
	
	<function name="begin">
		<cmd cmd="texticonquest">
			<param name="clearall" value="1"></param>
			<param name="seticon" value="kevinquestbar"></param>
			<param name="settext" value="ACT2_Q08_ICONTEXT01"></param>
		</cmd>
		
		<cmd cmd="setbonuses">
			<param name="town" value="ch"></param>
			<param name="bonuses" value="5"></param>
			<param name="set" value="1"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="ch_kevin"></param>
			<param name="dialog" value="ACT2_Q08_ST01"></param>
			<param name="oncomplete" value="step2"></param>
		</cmd>
	</function>
	
	<function name="step2">
		<cmd cmd="texticonquest">
			<param name="building" value="ch_cakestore" />
			<param name="setarrow" value="jacquescharglobe" />
			<param name="clearall" value="1"></param>
			<param name="seticon" value="kevinquestbar"></param>
			<param name="settext" value="ACT2_Q08_ICONTEXT02"></param>
		</cmd>
		
		<cmd cmd="mmbuildingsetstate">
			<param name="town" value="ch"></param>
			<param name="building" value="ch_cakestore"></param>
			<param name="visible" value="true"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="ch_kevin"></param>
			<param name="cleardialogs" value="1"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="ch_cakestore"></param>
			<param name="dialog" value="ACT2_Q08_ST02"></param>
			<param name="oncomplete" value="step3"></param>
		</cmd>
	</function>
	
	<function name="step3">
		<cmd cmd="texticonquest">
			<param name="setarrow" value="" />
			<param name="clearall" value="1"></param>
			<param name="seticon" value="kevinquestbar"></param>
			<param name="settext" value="ACT2_Q08_ICONTEXT01"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="ch_cakestore"></param>
			<param name="cleardialogs" value="1"></param>
		</cmd>
		
		<cmd cmd="buildingsetdialog">
			<param name="building" value="ch_kevin"></param>
			<param name="dialog" value="ACT2_Q08_ST03"></param>
			<param name="oncomplete" value="step4"></param>
		</cmd>
	</function>
	
	<function name="step4">
		<cmd cmd="texticonquest">
			<param name="clearall" value="1"></param>
		</cmd>
	
		<cmd cmd="buildingsetdialog">
			<param name="building" value="ch_kevin"></param>
			<param name="cleardialogs" value="1"></param>
		</cmd>
		
		<cmd cmd="showstory">
			<param name="story" value="act2_story04"></param>
		</cmd>
		
		<cmd cmd="addreputation">
			<param name="value" value="10"></param>
		</cmd>
		
		<cmd cmd="setzoecloth">
			<param name="cloth" value="zoe_act3_base"></param>
		</cmd>
		
		<cmd cmd="questcompleted"></cmd>
	</function>
</quest>
</root>
